Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 29.989.198 Times

Revo Uninstaller 3.0

  Date Added: April 22, 2014  |  Visits: 159.042
4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars

Revo Uninstaller

Report Broken Link
Printer Friendly Version


Product Homepage
Download (2026 downloads)



The Uninstaller tool lists the installed programs and components for all and current user. With a choice of views, as well as a context menu, information on program components is available: program properties, their registry entries and links to manufacturer's web site, for a start. The "Search" option finds installed applications just by typing the first few letters of their name. Revo Uninstaller Pro scans for leftovers with even more advanced algorithms that are so precise, fast and very effective in search for leftovers of Windows Services, Drivers, File associations, Shell Extensions, COM components, Windows Installer components, program settings and more!

Requirements: No special requirements
Platforms: Windows 2000, Windows XP
Users rating: 8/10

License: Freeware Size: 1.2 MB
USER REVIEWS
(25 March 2015, 11:42)

Comments:

Better way to remove an installed program completely. I just love this app.

Guides:

User advanced mode when uninstalling a program. This will remove everything related to that program.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
(30 December 2014, 09:57)

Comments:

Certainly the best uninstaller tool I ever used. It works like a charm!
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
( 8 November 2014, 09:44)

Comments:

Perfect for uninstalling programs, works way better than default uninstall option.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(28 September 2014, 11:01)

Comments:

If you need to uninstall programs from your pc completely and you don't want to pay any extra bucks for it then Revo is the ultimate solution.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(16 June 2014, 08:01)

Comments:

I use Revo to uninstall any program from my PC. It's fast, smooth and easy to use.
Ease of use : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Functionality : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Value for money : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
More Reviews or Write Review
REVO UNINSTALLER RELATED
Utilities  -  Portable Revo Uninstaller 1.91
Revo Uninstaller helps you uninstall and remove unwanted programs on your computer completely even if you have problems uninstalling from "Windows Add/Remove Programs" control panel applet. With its advanced and fast algorithm, Revo Uninstaller...
2.6 MB  
Utilities  -  Advanced Uninstaller PRO 12.10
Advanced Uninstaller PRO 12 is the ultimate uninstaller for Windows. You can uninstall programs quickly and completely using its simple and intuitive interface. The new design style offers a much better user experience while the software remains...
9.77 MB  
Desktop Utilities  -  Handy Uninstaller 1.0
Handy Uninstaller is a simple, but powerful FREEWARE uninstaller. It shows a list of installed programs on your computer and helps to uninstall and remove unwanted programs. Handy Uninstaller is a fast and powerful alternative to the "Windows...
1010 KB  
Backup Utilities  -  IObit Uninstaller 6.4.0.2119
IObit Uninstaller 6 offers the easiest and fastest solution to completely delete programs, useless Windows Apps, problematic Windows updates and browser plugins. Even it's a malicious plugin or toolbar that can't be removed by the anti-malware...
13.77 MB  
Utilities  -  Simnet UnInstaller 2010 2.1.0.0
Simnet Uninstaller is an easy-to-use and absolutely free uninstaller manager to manage installed applications. Every application installed on your computer decreases the free hard disk space and reduces system's performance. Simnet Uninstaller...
644.27 KB  
Backup Utilities  -  Wise Program Uninstaller 1.12
Wise Program Uninstaller is a free alternative to Windows Program uninstaller and other paid software remover. With its "safe uninstall" and "Repair Programs", you can remove or repair programs as Windows does. Also this freebie helps you...
1.39 MB  
Utilities  -  Yank Uninstaller for Mac OS 2.1
An all-purpose uninstaller for Mac OS X. Yank can uninstall almost any software and all its support files, no matter how it was installed. The result is a leaner, faster, safer Macintosh. Use Yank to install new software. Yank will monitor your...
10.1 MB  
Utilities  -  Advanced Uninstaller PRO [DISCOUNT: 70% OFF!] 10.5.3
DN in association with Innovative Solutions offers you a special discount: Now, only from DN, you can buy Advanced Uninstaller PRO with a 70% discount. Take advantage of this opportunity and press the Buy Now button; you'll surely notice, the...
 
Utilities  -  Simnet UnInstaller 2011 3.1.2.3
Simnet Uninstaller is an easy-to-use and absolutely free uninstaller manager to manage installed applications. Every application installed on your computer decreases the free hard disk space and reduces system's performance. Simnet Uninstaller...
 
Utilities  -  1Click Uninstaller 1.5
1Click Uninstaller is freeware designed to allow uninstalling programs quickly and easily. The program facilitates the uninstall process and eliminates the need for a standard time-taking way to remove software. Now you can forget about opening My...
768 KB  
NEW DOWNLOADS IN WINDOWS SOFTWARE, UTILITIES
Windows Software  -  Movie Box App 3.3.8
Movie Box is Best Application for watching movie, TV shows , Music video, here you to give us clear step by step guide how to download and install Moive Box for Android , all user can free download Movie Box and most user friendly apps. All PC or...
67.23 KB  
Windows Software  -  Cydia Download 1.1.10
This is one of the best freeware released for users. What is Cydia Download ? This is simple downloader which has developed for install Cydia for your device less than ten minutes of time. This freeware is important for all jailbreak users. You...
67.23 KB  
Windows Software  -  Jihosoft iOS10 Backup Extractor 7.0.7
What can you do to extract and recover your iPhone data if you get them lost for the following reasons: 1.Deleted important data from iPhone by mistake. 2.iPhone is damaged, lost or stolen. 3.iPhone stuck in black/white screen of death, iPhone...
16.5 MB  
Windows Software  -  Screenshot Captor 4.15.0
Screenshot Captor is designed for grabbing lots of screenshots with minimal intervention. It has great multimon suport and includes a full image explorer with full shell functionality and unsurpassed integration with external tools like graphic...
7.15 MB  
Windows Software  -  MonitorPack Guard 5.4.1
MonitorPack provides Windows tools at no cost for server monitoring, IT asset management and help Desk solution, optional Cloud Solution (IaaS or Infrastructure as a Service) Cloud Application (Platform as a Service) and software on demand (SaaS...
11.01 MB  
Utilities  -  AOMEI PE Builder 2.0
AOMEI PE Builder, a more convenient and complete WinPE-based bootable media creator for Windows 10, Windows 8.1/8, Windows 7, Vista, XP, Windows Server 2003, Windows Server 2008 (R2), Windows Server 2012 (R2) and Windows Server 2016. It integrates...
146.84 MB  
Utilities  -  Foxit Reader 8.3.2.25013
Issues Addressed in Foxit Reader 8.3.2 • Fixed an issue where Foxit Reader PDF Printer in version 8.3.1 failed to print certain items normally. • Addressed a potential issue where when the application is not running in...
52 MB  
Utilities  -  Free Format Recovery Software 6.0.0
Free Format Data Recovery software download for Windows to recover data after format device or device shows raw file system inaccessible not recognized with all kinds of digital devices supported lik hdd, usb flash drive, memory card. Undo quick...
4.08 MB  
Utilities  -  WinExt Free 2.0
WinExt is a FREE utilities kit for Windows. You can enjoy the following features by using it: 1. Quickly find the duplicate files on your drives relied on file contents. Key features: comparing file contents, 100% accurate result. High-speed...
668 KB  
Utilities  -  AKick Data Recovery 1.3
AKick Data Recovery is a software that efficiently recovers deleted data files on storage devices, system drives and memory cards. The software is compatible with all Windows versions including Windows 10 and supports all storage devices for data...
2.65 MB